<div class="trending-wrap">
  <div class="container" *ngIf="productList">
    <div class="row mt-2 mb-2">
        <div class="col common-header-h4">
            <h4 *ngIf="rootFrom === 'HOT_PRODUCTS'">{{'labelHotProducts' | translate: lang}}</h4>
            <h4 *ngIf="rootFrom === 'BEST_SELLING_PRODUCTS'">{{'labelBestSellingProducts' | translate: lang}}</h4>
            <h4 *ngIf="rootFrom === 'FEATURED_PRODUCTS'">{{'labelFeaturedProducts' | translate: lang}}</h4>
        </div>
      </div>
    <span *ngIf="productListTotalLength > 0">
      <div class="row">
        <div class="col-md-3 mt-2 mb-2" *ngFor="let products of productList">
          <app-product-tile [compareCount]="compareCount" [productDetail]="products" [from]="from" (productAction)="getProductActionDetails($event)"></app-product-tile>
        </div>
      </div>
      <div class="showmore-wrap">
      <div *ngIf="productListTotalLength > productList.length">
        <button mat-raised-button class="show-more"(click)="showMoreProducts()">
            <i class="fa fa-plus-circle"></i> {{ 'buttonShowMore' | translate:lang }}</button>
      </div>
      </div>
    </span>

    <div class="nodata-found-wrap" *ngIf="productListTotalLength === 0">
      <div class="nodata-found">
        <img src="assets/images/empty_product.png" />
      </div>
      <span class="align-bottom">
        {{'lableNoProducts' | translate: lang}}</span>
    </div>
  </div>
</div>
